2390 FC connector lacks ubuntu support

Bug #1655047 reported by Arne Recknagel on 2017-01-09
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
High
Unassigned
Mitaka
High
Unassigned
Newton
High
Unassigned
Ocata
High
Unassigned
os-brick
Undecided
Unassigned
python-os-brick (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
Zesty
High
Unassigned

Bug Description

Description
===========
The connector at os_brick/initiator/connectors/fibre_channel_s390x.py is supposed to also attach LUNs created with ubuntu running as OS on s390. The support for this functionality is as of yet not complete.

Steps to reproduce
==================
Run devstack on a ubunto on s390 host, and create a volume with the 'openstack volume create'.

Expected result
===============
A LUN should be made available.

Actual result
=============
2016-12-21 10:18:13.892 WARNING cinder.volume.manager [req-8ac5ffe6-5b9f-435b-8c2f-195580f1dcda None] Flow 'volume_create_manager' (1e499e82-747b-432f-8fc6-01e2e958062b) transitioned into state 'REVERTED' from state 'RUNNING'
[...]
2016-12-21 10:18:13.897 82955 ERROR oslo_messaging.rpc.server ImageCopyFailure: Failed to copy image to volume: Unable to find a Fibre Channel volume device.

Reviewed: https://review.openstack.org/413684
Committed: https://git.openstack.org/cgit/openstack/os-brick/commit/?id=df634a5fdea23038f140fabf00bc2dfb1fd13395
Submitter: Jenkins
Branch: master

commit df634a5fdea23038f140fabf00bc2dfb1fd13395
Author: Andreas Scheuring <email address hidden>
Date: Wed Dec 21 16:21:52 2016 +0100

    s390 FC device path fix for Ubuntu

    This fix solves a LUN attachment error for Ubuntu on s390 host setups. Fiber
    Channel requires a path for discovery of new devices, and Ubuntu uses a
    different format than previously assumed. This can be solved by simply adding
    the Ubuntu-style path to the list of possible paths, since they get quietly
    dropped if they lead nowhere in FibreChannelConnector._get_possible_volume_paths
    anyways.

    Change-Id: I0b07572903263122213f2ea5dc42151a7b69d99f
    Closes-Bug: #1655047

Changed in os-brick:
status: New → Fix Released

This issue was fixed in the openstack/os-brick 1.10.0 release.

Corey Bryant (corey.bryant) wrote :

Ubuntu SRU details:

[Description]
The connector at os_brick/initiator/connectors/fibre_channel_s390x.py is supposed to also attach LUNs created with ubuntu running as OS on s390. The support for this functionality is as of yet not complete.

[Testcase]
Run devstack on a ubunto on s390 host, and create a volume with the 'openstack volume create'.
Expected result: A LUN should be made available.

[Regression Potential]
Low. The newton patch is an unchanged cherry-pick from the stable/newton upstream branch. The mitaka branch is also cherry-picked from the stable/newton branch, and required some modifications due to code existing in different files in mitaka.

Changed in python-os-brick (Ubuntu Xenial):
status: New → Triaged
Changed in python-os-brick (Ubuntu Yakkety):
status: New → Triaged
Changed in python-os-brick (Ubuntu Zesty):
status: New → Fix Released
Changed in python-os-brick (Ubuntu Xenial):
importance: Undecided → High
Changed in python-os-brick (Ubuntu Zesty):
importance: Undecided → High
Changed in python-os-brick (Ubuntu Yakkety):
importance: Undecided → High

Reviewed: https://review.openstack.org/422279
Committed: https://git.openstack.org/cgit/openstack/os-brick/commit/?id=63f1b43b0ac00c3fc558b9335d35f5cba48d2ecf
Submitter: Jenkins
Branch: stable/newton

commit 63f1b43b0ac00c3fc558b9335d35f5cba48d2ecf
Author: Andreas Scheuring <email address hidden>
Date: Wed Dec 21 16:21:52 2016 +0100

    s390 FC device path fix for Ubuntu

    This fix solves a LUN attachment error for Ubuntu on s390 host setups. Fiber
    Channel requires a path for discovery of new devices, and Ubuntu uses a
    different format than previously assumed. This can be solved by simply adding
    the Ubuntu-style path to the list of possible paths, since they get quietly
    dropped if they lead nowhere in FibreChannelConnector._get_possible_volume_paths
    anyways.

    Change-Id: I0b07572903263122213f2ea5dc42151a7b69d99f
    Closes-Bug: #1655047
    (cherry picked from commit df634a5fdea23038f140fabf00bc2dfb1fd13395)

Hello Arne, or anyone else affected,

Accepted python-os-brick into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-os-brick/1.2.0-2ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-os-brick (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in python-os-brick (Ubuntu Yakkety):
status: Triaged → Fix Committed
Robie Basak (racb) wrote :

Hello Arne, or anyone else affected,

Accepted python-os-brick into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-os-brick/1.6.1-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello Arne, or anyone else affected,

Accepted python-os-brick into mitaka-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:mitaka-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-mitaka-needed to verification-mitaka-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-mitaka-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-mitaka-needed
James Page (james-page) wrote :

Hello Arne, or anyone else affected,

Accepted python-os-brick into newton-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:newton-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-newton-needed to verification-newton-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-newton-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-newton-needed

The verification of the Stable Release Update for python-os-brick has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package python-os-brick - 1.6.1-0ubuntu1.1~cloud0
---------------

 python-os-brick (1.6.1-0ubuntu1.1~cloud0) xenial-newton; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 python-os-brick (1.6.1-0ubuntu1.1) yakkety; urgency=medium
 .
   * d/p/s390-fc-device-path.patch: Patch added to fix LUN attachment error
     for Ubuntu on s390 host setups (LP: #1655047).

Corey Bryant (corey.bryant) wrote :

The following versions have been verified successfully on xenial and yakkety:
 python-os-brick 1.2.0-2ubuntu0.2 xenial-proposed
 python-os-brick 1.6.1-0ubuntu1.1 yakkety-proposed

For all stable point releases, we perform regression testing by juju deploying two openstack clouds, one against -proposed and one against -updates, and we then run tempest integration smoke tests[1] to verify those deployed clouds, and evaluate any differences in results. [1] https://github.com/openstack/tempest/blob/master/README.rst

tags: added: verification-done
removed: verification-needed
tags: added: verification-mitaka-done verification-newton-done
removed: verification-mitaka-needed verification-newton-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-os-brick - 1.2.0-2ubuntu0.2

---------------
python-os-brick (1.2.0-2ubuntu0.2) xenial; urgency=medium

  * d/p/s390-fc-device-path.patch: Patch added to fix LUN attachment error
    for Ubuntu on s390 host setups (LP: #1655047).

 -- Corey Bryant <email address hidden> Thu, 02 Feb 2017 21:40:11 -0500

Changed in python-os-brick (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-os-brick - 1.6.1-0ubuntu1.1

---------------
python-os-brick (1.6.1-0ubuntu1.1) yakkety; urgency=medium

  * d/p/s390-fc-device-path.patch: Patch added to fix LUN attachment error
    for Ubuntu on s390 host setups (LP: #1655047).

 -- Corey Bryant <email address hidden> Thu, 02 Feb 2017 21:50:10 -0500

Changed in python-os-brick (Ubuntu Yakkety):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

The verification of the Stable Release Update for python-os-brick has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package python-os-brick - 1.2.0-2ubuntu0.2~cloud0
---------------

 python-os-brick (1.2.0-2ubuntu0.2~cloud0) trusty-mitaka; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 python-os-brick (1.2.0-2ubuntu0.2) xenial; urgency=medium
 .
   * d/p/s390-fc-device-path.patch: Patch added to fix LUN attachment error
     for Ubuntu on s390 host setups (LP: #1655047).

This issue was fixed in the openstack/os-brick 1.6.2 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers